HCONF(4)

NAME
hconf - MS Windows Precision Touchpad configuration driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device hconf
device hid
device hidbus

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    hconf_load="YES"

DESCRIPTION
The hconf driver provides support for generic MS Windows Precision Touchpad configuration collection. It enables the host to configure two different aspects of the device. One allows the host to select input mode, and the other allows the host to be selective in what is reported.

SYSCTL VARIABLES
Next parameters are available as sysctl(8) variables. Debug parameter is available as loader(8) tunable as well.

dev.hconf.*.input_mode
    HID device input mode: 0 = mouse, 3 = touchpad.

dev.hconf.*.surface_switch
    Enable / disable switch for surface: 1 = on, 0 = off.

dev.hconf.*.buttons_switch
    Enable / disable switch for buttons: 1 = on, 0 = off.

hw.hid.hconf.debug
    Debug output level, where 0 is debugging disabled and larger values increase debug message verbosity. Default is 0.

SEE ALSO
hms(4), hmt(4)

HISTORY
The hconf driver first appeared in FreeBSD 13.0.

AUTHORS
-nosplit The hconf driver was written by Vladimir Kondratyev <wulf@FreeBSD.org>. Switch parameter support was added by Andriy Gapon <avg@FreeBSD.org>.